<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AboutDescriptions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('about_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->text('description')->nullable();
           

            $table->unsignedBigInteger('about_id')->nullable();
            $table->unsignedBigInteger('language_id')->nullable();

            $table->foreign('about_id')->references('id')->on('abouts');
            $table->foreign('language_id')->references('id')->on('languages');
            $table->index(['about_id', 'language_id']);

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
